Package org.drinkless.tdlib

# Class TdApi.InputPassportElementErrorSourceFrontSide

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.InputPassportElementErrorSource
org.drinkless.tdlib.TdApi.InputPassportElementErrorSourceFrontSide

Enclosing class:
  `TdApi`

public static class TdApi.InputPassportElementErrorSourceFrontSide extends TdApi.InputPassportElementErrorSource
The front side of the document contains an error. The error is considered resolved when the file with the front side of the document changes.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.InputPassportElementErrorSource

  `TdApi.InputPassportElementErrorSource.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `byte[]`
  `fileHash`
  Current hash of the file containing the front side.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InputPassportElementErrorSourceFrontSide()`
  The front side of the document contains an error.
  `InputPassportElementErrorSourceFrontSide(byte[] fileHash)`
  The front side of the document contains an error.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### fileHash

    public byte[] fileHash
    Current hash of the file containing the front side.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### InputPassportElementErrorSourceFrontSide

    public InputPassportElementErrorSourceFrontSide()
    The front side of the document contains an error. The error is considered resolved when the file with the front side of the document changes.

  - ### InputPassportElementErrorSourceFrontSide

    public InputPassportElementErrorSourceFrontSide(byte[] fileHash)
    The front side of the document contains an error. The error is considered resolved when the file with the front side of the document changes.
    Parameters:
      `fileHash` - Current hash of the file containing the front side.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.InputPassportElementErrorSource`
    Returns:
      this.CONSTRUCTOR